"use strict";

var ConfigurationType = {
  DAPI_LOGIN: "DAPI_LOGIN",
  DAPI_PASSWORD: "DAPI_PASSWORD",
  DEFAULT_MAP: "DEFAULT_MAP",
  GOOGLE_ANALYTICS_IDENTIFIER: "GOOGLE_ANALYTICS_IDENTIFIER",
  GOOGLE_MAPS_API_KEY: "GOOGLE_MAPS_API_KEY",
  LEFT_LOGO_IMG: "LEFT_LOGO_IMG",
  LEFT_LOGO_LINK: "LEFT_LOGO_LINK",
  LEFT_LOGO_TEXT: "LEFT_LOGO_TEXT",
  LEGEND_FILES: "LEGEND_FILES",
  MIN_COLOR_VAL: "MIN_COLOR_VAL",
  MINERVANET_URL: "MINERVANET_URL",
  MAX_COLOR_VAL: "MAX_COLOR_VAL",
  NEUTRAL_COLOR_VAL: "NEUTRAL_COLOR_VAL",
  OVERLAY_OPACITY: "OVERLAY_OPACITY",
  REQUEST_ACCOUNT_EMAIL: "REQUEST_ACCOUNT_EMAIL",
  REQUEST_ACCOUNT_DEFAULT_CONTENT: "REQUEST_ACCOUNT_DEFAULT_CONTENT",
  RIGHT_LOGO_IMG: "RIGHT_LOGO_IMG",
  RIGHT_LOGO_LINK: "RIGHT_LOGO_LINK",
  RIGHT_LOGO_TEXT: "RIGHT_LOGO_TEXT",
  SIMPLE_COLOR_VAL: "SIMPLE_COLOR_VAL",
  SESSION_LENGTH: "SESSION_LENGTH",
  SHOW_ELEMENT_ABBREVIATION: "SHOW_ELEMENT_ABBREVIATION",
  SHOW_ELEMENT_ANNOTATIONS: "SHOW_ELEMENT_ANNOTATIONS",
  SHOW_ELEMENT_CHARGE: "SHOW_ELEMENT_CHARGE",
  SHOW_ELEMENT_COMPARTMENT: "SHOW_ELEMENT_COMPARTMENT",
  SHOW_ELEMENT_DESCRIPTION: "SHOW_ELEMENT_DESCRIPTION",
  SHOW_ELEMENT_FORMER_SYMBOLS: "SHOW_ELEMENT_FORMER_SYMBOLS",
  SHOW_ELEMENT_FORMULA: "SHOW_ELEMENT_FORMULA",
  SHOW_ELEMENT_FULL_NAME: "SHOW_ELEMENT_FULL_NAME",
  SHOW_ELEMENT_GROUP_SIZE: "SHOW_ELEMENT_GROUP_SIZE",
  SHOW_ELEMENT_LINKED_SUBMAP: "SHOW_ELEMENT_LINKED_SUBMAP",
  SHOW_ELEMENT_MODIFICATIONS: "SHOW_ELEMENT_MODIFICATIONS",
  SHOW_ELEMENT_SYMBOL: "SHOW_ELEMENT_SYMBOL",
  SHOW_ELEMENT_SYNONYMS: "SHOW_ELEMENT_SYNONYMS",
  SHOW_ELEMENT_TITLE: "SHOW_ELEMENT_TITLE",
  SHOW_ELEMENT_TYPE: "SHOW_ELEMENT_TYPE",
  SHOW_REACTION_ABBREVIATION: "SHOW_REACTION_ABBREVIATION",
  SHOW_REACTION_ANNOTATIONS: "SHOW_REACTION_ANNOTATIONS",
  SHOW_REACTION_DESCRIPTION: "SHOW_REACTION_DESCRIPTION",
  SHOW_REACTION_FORMULA: "SHOW_REACTION_FORMULA",
  SHOW_REACTION_GENE_PROTEIN_REACTION: "SHOW_REACTION_GENE_PROTEIN_REACTION",
  SHOW_REACTION_LINKED_SUBMAP: "SHOW_REACTION_LINKED_SUBMAP",
  SHOW_REACTION_LOWER_BOUND: "SHOW_REACTION_LOWER_BOUND",
  SHOW_REACTION_MECHANICAL_CONFIDENCE_SCORE: "SHOW_REACTION_MECHANICAL_CONFIDENCE_SCORE",
  SHOW_REACTION_SUBSYSTEM: "SHOW_REACTION_SUBSYSTEM",
  SHOW_REACTION_SYMBOL: "SHOW_REACTION_SYMBOL",
  SHOW_REACTION_SYNONYMS: "SHOW_REACTION_SYNONYMS",
  SHOW_REACTION_TITLE: "SHOW_REACTION_TITLE",
  SHOW_REACTION_TYPE: "SHOW_REACTION_TYPE",
  SHOW_REACTION_UPPER_BOUND: "SHOW_REACTION_UPPER_BOUND",
  SEARCH_DISTANCE: "SEARCH_DISTANCE",
  SEARCH_RESULT_NUMBER: "SEARCH_RESULT_NUMBER",
  TERMS_OF_USE: "TERMS_OF_USE",
  USER_MANUAL_FILE: "USER_MANUAL_FILE"
};

module.exports = ConfigurationType;
